Bug 604438 - Review Request: rubygem-scaffold - Scaffold is a templating tool for Puppet
Review Request: rubygem-scaffold - Scaffold is a templating tool for Puppet
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 17:42 EDT by Michael Stahnke
Modified: 2010-07-06 17:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 17:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2010-06-15 17:42:21 EDT
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-scaffold.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-scaffold-0.0.3-1.fc14.src.rpm
Description: 
Scaffold allows you to create basic Puppet configuration, modules, nodes,
classes, functions and types.
Comment 1 Mamoru TASAKA 2010-06-25 14:27:07 EDT
Some notes:

* %define -> %global
  - Now we prefer to use %global rather than %define
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* ruby(abi) dependency
  - Writing ruby(abi) dependency is a must
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

* Explcitly defined macros
  - Explicitly defined %ruby_sitelib is used nowhere.
  - Please use explicitly defined %geminstdir also in %files

* Explicit version dependency
  - As rubygem-templater in Fedora on all supported branches have higher version
    than 0.5.0, the explicit ">= 0.5.0" part is not needed, ref:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* BuildRoot tag
  - BuildRoot tag is no longer used so you can remove this (although rpmlint may
    complain) on Fedora (not on EPEL)
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

! %changelog
  - Please also write your name.
Comment 2 Michael Stahnke 2010-06-28 16:23:41 EDT
I must have submitted the gem2rpm spec and not the final one I cleaned up. :)  I'm out of town until the end of the week, so I will look at it then.
Comment 3 Michael Stahnke 2010-07-06 17:35:09 EDT
I'd like to withdraw this request. Upstream is going to replace it with another tool shortly.

Note You need to log in before you can comment on or make changes to this bug.